=== debian/changelog ===
pcsxrearmed (0.4) unstable; urgency=low

	* Initial port to Maemo using GTK


 -- Bonapart <bonapart@programist.ru>  Sun,  22 Jan 2011 02:00:27 +0200
