## pcsxrearmed 0.4.0.1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 include Makefile.local
 
 ifdef USE_GTK
-CFLAGS += -DMAEMO -Imaemo $(shell pkg-config --cflags hildon-1) -Ifrontend
+CFLAGS += -DMAEMO -Imaemo  $(shell pkg-config --cflags hildon-1) -Ifrontend
+#-Imaemo-x11
 else
 CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
 endif
@@ -77,7 +78,8 @@
 
 # gui
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o
+OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o 
+#maemo-x11/minimal.o
 OBJS += frontend/plugin.o 
 OBJS += maemo/arm_utils.o
 maemo/%.o: maemo/%.c
@@ -135,3 +137,4 @@
 
 rel: pcsx $(PLUGINS)
 	cp plugins/spunull/spunull.so spunull.so
+	strip pcsx
