=== debian/changelog ===
pcsxrearmed (0.4.0.1) unstable; urgency=low

	* bios support
	* nullsound support


 -- Bonapart <bonapart@programist.ru>  Sun,  24 Jan 2011 02:00:27 +0200
