## pcsxrearmed 0.4.0.2

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,8 @@
 include Makefile.local
 
 ifdef USE_GTK
-CFLAGS += -DMAEMO -Imaemo  $(shell pkg-config --cflags hildon-1) -Ifrontend
-#-Imaemo-x11
+CFLAGS += -DMAEMO -Imaemo -Imaemo-x11  $(shell pkg-config --cflags hildon-1) -Ifrontend
+
 else
 CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
 endif
@@ -78,8 +78,7 @@
 
 # gui
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o 
-#maemo-x11/minimal.o
+OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o maemo-x11/minimal.o
 OBJS += frontend/plugin.o 
 OBJS += maemo/arm_utils.o
 maemo/%.o: maemo/%.c
