=== debian/changelog ===
pcsxrearmed (0.4.0.2) unstable; urgency=low

	* new options


 -- Bonapart <bonapart@programist.ru>  Sun,  24 Jan 2011 02:00:27 +0200
