## pcsxrearmed 0.4.0.3

=== Makefile ===
--- 
+++ 
@@ -6,13 +6,13 @@
 ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
 CFLAGS += -ggdb
-LDFLAGS += -lz -lpthread -ldl -lpng
+LDFLAGS += -lz -lpthread -ldl -lpng -lbz2
 ifeq "$(ARCH)" "arm"
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
 ASFLAGS += -mcpu=cortex-a8 -mfpu=neon
 endif
 ifndef DEBUG
-CFLAGS += -O2 # -DNDEBUG
+CFLAGS += -O2 -DNDEBUG
 endif
 USE_OSS = 1
 #USE_ALSA = 1
@@ -20,15 +20,12 @@
 #PCNT = 1
 TARGET = pcsx
 
-include Makefile.local
-
+-include Makefile.local
 ifdef USE_GTK
-CFLAGS += -DMAEMO -Imaemo -Imaemo-x11  $(shell pkg-config --cflags hildon-1) -Ifrontend
-
+CFLAGS += -DMAEMO -Imaemo $(shell pkg-config --cflags hildon-1) -Ifrontend
 else
 CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
 endif
-
 all: $(TARGET)
 
 # core
@@ -51,8 +48,8 @@
 endif
 
 # spu
-OBJS += plugins/dfsound/adsr.o plugins/dfsound/dma.o plugins/dfsound/reverb.o plugins/dfsound/xa.o \
-	plugins/dfsound/freeze.o plugins/dfsound/cfg.o plugins/dfsound/registers.o plugins/dfsound/spu.o
+OBJS +=plugins/dfsound/dma.o plugins/dfsound/freeze.o \
+	plugins/dfsound/registers.o plugins/dfsound/spu.o
 ifeq "$(USE_OSS)" "1"
 plugins/dfsound/%.o: CFLAGS += -DUSEOSS
 OBJS += plugins/dfsound/oss.o
@@ -78,7 +75,7 @@
 
 # gui
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o maemo-x11/minimal.o
+OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o
 OBJS += frontend/plugin.o 
 OBJS += maemo/arm_utils.o
 maemo/%.o: maemo/%.c
@@ -94,9 +91,13 @@
 else
 OBJS += frontend/plat_dummy.o
 endif
+ifdef X11
+frontend/%.o: CFLAGS += -DX11
+OBJS += frontend/xkb.o
 endif
 ifdef PCNT
 CFLAGS += -DPCNT
+endif
 endif
 frontend/%.o: CFLAGS += -Wall -DIN_EVDEV
 frontend/menu.o: frontend/revision.h
@@ -111,16 +112,11 @@
 $(TARGET): $(OBJS)
 	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map
 
-
-PLUGINS = plugins/spunull/spunull.so
-ifndef USE_GTK
-PLUGINS += plugins/gpu_unai/gpuPCSX4ALL.so \
-	plugins/gpu-gles/gpuGLES.so
-endif
+PLUGINS = plugins/spunull/spunull.so plugins/gpu_unai/gpuPCSX4ALL.so \
 
 $(PLUGINS):
 	make -C $(dir $@)
-
+	
 clean:
 	$(RM) $(TARGET) $(OBJS) $(TARGET).map
 
@@ -134,6 +130,17 @@
 
 VER ?= $(shell git describe --abbrev=0 master)
 
-rel: pcsx $(PLUGINS)
-	cp plugins/spunull/spunull.so spunull.so
-	strip pcsx
+rel: pcsx $(PLUGINS) \
+		pandora/pcsx.sh pandora/pcsx.pxml pandora/pcsx.png \
+		pandora/picorestore pandora/readme.txt skin COPYING
+	rm -rf out
+	mkdir -p out/plugins
+	cp -r $^ out/
+	mv out/*.so out/plugins/
+	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x pandora/pcsx.pxml -i pandora/pcsx.png -c
+
+maemo: pcsx plugins/spunull/spunull.so
+	rm -rf out
+	mkdir -p out/plugins
+	cp -r plugins/spunull/spunull.so .
+	strip pcsx spunull.so
