=== debian/changelog ===
pcsxrearmed (0.4.0.3) unstable; urgency=low

	* added support for .bz format, also partial support for .znx and eboot.pbp formats
	* merged latest cdrom code from PCSX-Reloaded project
	* fixed channel disable preventing irqs in P.E.Op.S. SPU plugin
	* fixed some alignment issues
	* added handling for branches in delay slots
	* fixed lots of recompiler related issues (see GIT)
	* added watchdog thread to detect emulator lockups
	+ fullscreen support
	+ accelometer support
	+ partial movies support
	+ fixed frameskip setting

 -- Bonapart <bonapart@programist.ru>  Sun,  2 Feb 2011 00:00:27 +0200
