=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) rel
+	$(MAKE) maemo
 	touch build-stamp
 
 clean:
