## pcsxrearmed 0.4.0.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
-CFLAGS += -ggdb
+CFLAGS += -ggdb -Ifrontend
 LDFLAGS += -lz -lpthread -ldl -lpng -lbz2
 ifeq "$(ARCH)" "arm"
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
@@ -14,18 +14,16 @@
 ifndef DEBUG
 CFLAGS += -O2 -DNDEBUG
 endif
-USE_OSS = 1
+CFLAGS += $(EXTRA_CFLAGS)
+
+USE_OSS ?= 1
 #USE_ALSA = 1
 #DRC_DBG = 1
 #PCNT = 1
 TARGET = pcsx
 
 -include Makefile.local
-ifdef USE_GTK
-CFLAGS += -DMAEMO -Imaemo $(shell pkg-config --cflags hildon-1) -Ifrontend
-else
-CFLAGS += -Ifrontend/upstream-compatible  -Ifrontend
-endif
+
 all: $(TARGET)
 
 # core
@@ -48,7 +46,7 @@
 endif
 
 # spu
-OBJS +=plugins/dfsound/dma.o plugins/dfsound/freeze.o \
+OBJS += plugins/dfsound/dma.o plugins/dfsound/freeze.o \
 	plugins/dfsound/registers.o plugins/dfsound/spu.o
 ifeq "$(USE_OSS)" "1"
 plugins/dfsound/%.o: CFLAGS += -DUSEOSS
@@ -69,27 +67,31 @@
 else
 OBJS += plugins/dfxvideo/draw_fb.o
 endif
+
 # cdrcimg
 plugins/cdrcimg/%.o: CFLAGS += -Wall
 OBJS += plugins/cdrcimg/cdrcimg.o
 
 # gui
+OBJS += frontend/main.o frontend/plugin.o 
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o maemo/plugin_lib.o
-OBJS += frontend/plugin.o 
-OBJS += maemo/arm_utils.o
+OBJS += maemo/hildon.o maemo/main.o
 maemo/%.o: maemo/%.c
+maemo/%.o: CFLAGS += -Wall
 else
-OBJS += frontend/main.o frontend/plugin.o frontend/plugin_lib.o
-OBJS += frontend/menu.o
+OBJS += frontend/plugin_lib.o frontend/menu.o
 OBJS += frontend/linux/fbdev.o frontend/linux/in_evdev.o
 OBJS += frontend/linux/plat.o frontend/linux/oshide.o
 OBJS += frontend/common/fonts.o frontend/common/input.o frontend/common/readpng.o
 ifeq "$(ARCH)" "arm"
-OBJS += frontend/arm_utils.o
 OBJS += frontend/plat_omap.o
+OBJS += frontend/pandora.o
 else
 OBJS += frontend/plat_dummy.o
+endif
+endif # !USE_GTK
+ifeq "$(ARCH)" "arm"
+OBJS += frontend/arm_utils.o
 endif
 ifdef X11
 frontend/%.o: CFLAGS += -DX11
@@ -97,7 +99,6 @@
 endif
 ifdef PCNT
 CFLAGS += -DPCNT
-endif
 endif
 frontend/%.o: CFLAGS += -Wall -DIN_EVDEV
 frontend/menu.o: frontend/revision.h
@@ -113,10 +114,11 @@
 	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map
 
 PLUGINS = plugins/spunull/spunull.so plugins/gpu_unai/gpuPCSX4ALL.so \
+	plugins/gpu-gles/gpuGLES.so
 
 $(PLUGINS):
 	make -C $(dir $@)
-	
+
 clean:
 	$(RM) $(TARGET) $(OBJS) $(TARGET).map
 
@@ -138,9 +140,3 @@
 	cp -r $^ out/
 	mv out/*.so out/plugins/
 	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x pandora/pcsx.pxml -i pandora/pcsx.png -c
-
-maemo: pcsx plugins/spunull/spunull.so
-	rm -rf out
-	mkdir -p out/plugins
-	cp -r plugins/spunull/spunull.so .
-	strip pcsx spunull.so
