=== debian/changelog ===
pcsxrearmed (0.4.0.5) unstable; urgency=low

	* r6 for pandora
	* sometimes working gles-gpu

 -- Bonapart <bonapart@programist.ru>  Sun,  11 Feb 2011 00:00:27 +0200
