## pcsxrearmed 0.4.0.6

=== Makefile ===
--- 
+++ 
@@ -33,13 +33,17 @@
 	libpcsxcore/psxcommon.o libpcsxcore/psxcounters.o libpcsxcore/psxdma.o libpcsxcore/psxhle.o \
 	libpcsxcore/psxhw.o libpcsxcore/psxinterpreter.o libpcsxcore/psxmem.o libpcsxcore/r3000a.o \
 	libpcsxcore/sio.o libpcsxcore/socket.o libpcsxcore/spu.o
+ifeq "$(ARCH)" "arm"
+OBJS += libpcsxcore/gte_neon.o
+endif
 # dynarec
 ifndef NO_NEW_DRC
 OBJS += libpcsxcore/new_dynarec/new_dynarec.o libpcsxcore/new_dynarec/linkage_arm.o
 OBJS += libpcsxcore/new_dynarec/pcsxmem.o
 endif
 OBJS += libpcsxcore/new_dynarec/emu_if.o
-libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c
+libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c \
+	libpcsxcore/new_dynarec/pcsxmem_inline.c
 ifdef DRC_DBG
 libpcsxcore/new_dynarec/emu_if.o: CFLAGS += -D_FILE_OFFSET_BITS=64
 CFLAGS += -DDRC_DBG
@@ -48,6 +52,9 @@
 # spu
 OBJS += plugins/dfsound/dma.o plugins/dfsound/freeze.o \
 	plugins/dfsound/registers.o plugins/dfsound/spu.o
+plugins/dfsound/spu.o: plugins/dfsound/adsr.c plugins/dfsound/reverb.c \
+	plugins/dfsound/xa.c
+plugins/dfsound/%.o: CFLAGS += -Wall
 ifeq "$(USE_OSS)" "1"
 plugins/dfsound/%.o: CFLAGS += -DUSEOSS
 OBJS += plugins/dfsound/oss.o
@@ -59,8 +66,11 @@
 endif
 
 # gpu
-plugins/dfxvideo/%.o: CFLAGS += -Wall
+# note: code is not safe for strict-aliasing? (Castlevania problems)
+plugins/dfxvideo/%.o: CFLAGS += -Wall -fno-strict-aliasing
 OBJS += plugins/dfxvideo/gpu.o
+plugins/dfxvideo/gpu.o: plugins/dfxvideo/fps.c plugins/dfxvideo/prim.c \
+	plugins/dfxvideo/gpu.c plugins/dfxvideo/soft.c
 ifdef X11
 LDFLAGS += -lX11 -lXv
 OBJS += plugins/dfxvideo/draw.o
@@ -71,6 +81,10 @@
 # cdrcimg
 plugins/cdrcimg/%.o: CFLAGS += -Wall
 OBJS += plugins/cdrcimg/cdrcimg.o
+
+# dfinput
+plugins/dfinput/%.o: CFLAGS += -Wall
+OBJS += plugins/dfinput/pad.o
 
 # gui
 OBJS += frontend/main.o frontend/plugin.o 
@@ -130,11 +144,11 @@
 
 PND_MAKE ?= $(HOME)/dev/pnd/src/pandora-libraries/testdata/scripts/pnd_make.sh
 
-VER ?= $(shell git describe --abbrev=0 master)
+VER ?= $(shell git describe master)
 
 rel: pcsx $(PLUGINS) \
 		pandora/pcsx.sh pandora/pcsx.pxml pandora/pcsx.png \
-		pandora/picorestore pandora/readme.txt skin COPYING
+		pandora/picorestore pandora/readme.txt pandora/skin COPYING
 	rm -rf out
 	mkdir -p out/plugins
 	cp -r $^ out/
