=== debian/changelog ===
pcsxrearmed (0.4.0.6) unstable; urgency=low

	* r7 for pandora
	* some fixes

 -- Bonapart <bonapart@programist.ru>  Sun,  11 Feb 2011 00:00:27 +0200
