=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) maemo
+	$(MAKE) -f Makefile.maemo maemo
 	touch build-stamp
 
 clean:
@@ -28,7 +28,7 @@
 	dh_testroot
 	rm -f build-stamp
 	dh_clean
-	$(MAKE) clean
+	$(MAKE) -f Makefile.maemo clean
 
 install: build
 	dh_testdir
@@ -43,7 +43,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-	dh_installmenu
+#	dh_installmenu
 	dh_link
 	dh_strip
 	dh_compress
