## pcsxrearmed 0.4.0.8

=== Makefile ===
--- 
+++ 
@@ -87,7 +87,7 @@
 OBJS += plugins/dfinput/pad.o
 
 # gui
-OBJS += frontend/main.o frontend/plugin.o 
+OBJS += frontend/main.o frontend/plugin.o frontend/common/readpng.o
 ifeq "$(USE_GTK)" "1"
 OBJS += maemo/hildon.o maemo/main.o
 maemo/%.o: maemo/%.c
@@ -96,7 +96,7 @@
 OBJS += frontend/plugin_lib.o frontend/menu.o
 OBJS += frontend/linux/fbdev.o frontend/linux/in_evdev.o
 OBJS += frontend/linux/plat.o frontend/linux/oshide.o
-OBJS += frontend/common/fonts.o frontend/common/input.o frontend/common/readpng.o
+OBJS += frontend/common/fonts.o frontend/common/input.o
 ifeq "$(ARCH)" "arm"
 OBJS += frontend/plat_omap.o
 OBJS += frontend/pandora.o
@@ -147,10 +147,12 @@
 VER ?= $(shell git describe master)
 
 rel: pcsx $(PLUGINS) \
-		pandora/pcsx.sh pandora/pcsx.pxml pandora/pcsx.png \
+		pandora/pcsx.sh pandora/pcsx.pxml.templ pandora/pcsx.png \
 		pandora/picorestore pandora/readme.txt pandora/skin COPYING
 	rm -rf out
 	mkdir -p out/plugins
 	cp -r $^ out/
+	sed -e 's/%PR%/$(VER)/g' out/pcsx.pxml.templ > out/pcsx.pxml
+	rm out/pcsx.pxml.templ
 	mv out/*.so out/plugins/
-	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x pandora/pcsx.pxml -i pandora/pcsx.png -c
+	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x out/pcsx.pxml -i pandora/pcsx.png -c
