=== plugins/gpu-gles/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ##############################################################################
 
 #PREFIX	= /mythtv/media/devel/toolchains/pandora/arm-2007q3/
-CROSS_COMPILE ?= arm-none-linux-gnueabi-
+#CROSS_COMPILE ?= arm-none-linux-gnueabi-
 
 #CC = $(PREFIX)/bin/$(CROSS_COMPILE)gcc
 CC = $(CROSS_COMPILE)gcc
@@ -15,8 +15,8 @@
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8
 # note: the below causes strange bugs/crashes
 #CFLAGS += -mfloat-abi=softfp
-CFLAGS += -DMAEMO_CHANGES # -DUSE_X11
-CFLAGS += -I$(PREFIX)include
+CFLAGS += -DMAEMO_CHANGES -DUSE_X11
+CFLAGS += -I.
 
 TARGET = gpuGLES.so
 LDFLAGS += -shared -Wl,-soname,$(TARGET) -o $(TARGET)
