=== plugins/gpu_unai/Makefile ===
--- 
+++ 
@@ -3,6 +3,9 @@
 CFLAGS += -ggdb -fPIC -Wall -DREARMED
 ifndef DEBUG
 CFLAGS += -O2 -ffast-math -fomit-frame-pointer
+endif
+ifdef MAEMO
+CFLAGS += -DMAEMO
 endif
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp
 # -fschedule-insns (from -O2+) causes bugs, probably bad asm() statements
