=== debian/changelog ===
pcsxrearmed (0.4.0.8) unstable; urgency=low

  * Savestates bugs fixed
  * Screenshot on save
  * Load states on startup
  * Slot up\down keys

r8 for pandora
  * improved recompiler performance for some games
  * fixed a few recompiler related compatibility issues
    (also fixes broken memcard support in some games)
  * fixed some graphics problems caused by frameskip.
  + added screenshot function
  * merged a few compatibility fixes from PCSX-Reloaded
r7 for pandora
  + implemented most used GTE operations in NEON
  * merged latest Ari64's recompiler patches
  * removed some code from the recompiler that is unneeded for R3k
  * added some special handlers for constant reads
  * some moderate builtin GPU and SPU optimizations
  + added redump.org SBI support
  * tuned frameskip code again
  * fixed a crash in builtin gpu code
  * fixed cdrom slowdown issue
  * fixed Notaz stupid bug in the recompiler that slowed down recompilation a lot
  * some other refactoring

 -- Bonapart <bonapart@programist.ru>  Sun,  8 May 2011 00:00:27 +0200
