=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-#	dh_installmenu
+	dh_installmenu
 	dh_link
 	dh_strip
 	dh_compress
