## pcsxrearmed 0.4.0.8.1

=== debian/changelog ===
pcsxrearmed (0.4.0.8.1) unstable; urgency=low

  * some fixes

 -- Bonapart <bonapart@programist.ru>  Sun,  8 May 2011 00:00:27 +0200
