=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
+	mkdir -p "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
+	chmod 777 "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
+	chown user "$(CURDIR)"/debian/pcsxrearmed/opt/maemo/usr/games/screenshots
 	dh_install
 
 binary-indep: build install
