## pcsxrearmed 0.4.0.8.2

=== debian/changelog ===
pcsxrearmed (0.4.0.8.2) unstable; urgency=low

  * some fixes

 -- Bonapart <bonapart@programist.ru>  Sun,  12 May 2011 00:00:27 +0200
