=== debian/changelog ===
pcsxrearmed (0.4.0.10) unstable; urgency=low

 r10 (2011-10-10)
 + completely rewrote memory handlers
 + added fixed frameskip option
 + added ability to change PSX clock
 + implemented GTE dead flag detection
 * switched to larger timeslices for better performance
 * fixed some cases of flickering
 * fixed several dynarec compatibility related issues (hopefully)
 * fixed multiple SPU regressions from r9 and earlier
 * fixed frame limiter issue that sometimes caused stuttering
 r9 (2011-08-13)
 * fixed various dynarec integration issues that were causing instability
 * merged latest Ari64 dynarec code for some performance improvement
 * changed frameskip handling in builtin and PCSX4ALL plugins,
 *  fixes some cases where it would not work
 + added CDDA handling for eboot format
 * improved CDDA handling for all image formats that support it
 * various compatibility/accuracy improvements
 * optimized PEOPS SPU core
 + added some basic memory card manager, which allows to change or remove cards (remove needed for Tenka)

 -- Bonapart <bonapart@programist.ru>  Sun,  28 Oct 2011 00:00:27 +0200
