=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Bonapart <bonapart@programist.ru>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev, libpulse-dev, libasound2-dev,libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libbz2-dev 
+Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev,libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libbz2-dev
 Standards-Version: 3.7.3
 
 Package: pcsxrearmed
