## pcsxrearmed 0.4.0.11

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 #PCNT = 1
 TARGET = pcsx
 
--include Makefile.maemo
+-include Makefile.local
 
 ARCH = $(shell $(GCC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
 CFLAGS += -Wall -ggdb -Ifrontend -ffast-math
-LDFLAGS += -lz -lpthread -ldl -lpng
+LDFLAGS += -lpthread -ldl -lpng -lz -lm
 ifndef DEBUG
 CFLAGS += -O2 -DNDEBUG
 endif
@@ -34,7 +34,7 @@
 endif
 ifeq "$(ARM926)" "1"
 GCC_CFLAGS += -mcpu=arm926ej-s -mtune=arm926ej-s
-ASFLAGS += -mcpu=arm926ej-s
+ASFLAGS += -mcpu=arm926ej-s -mfloat-abi=softfp
 endif
 endif
 CFLAGS += $(GCC_CFLAGS)
@@ -68,7 +68,8 @@
 OBJS += libpcsxcore/new_dynarec/pcsxmem.o
 endif
 OBJS += libpcsxcore/new_dynarec/emu_if.o
-libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c
+libpcsxcore/new_dynarec/new_dynarec.o: libpcsxcore/new_dynarec/assem_arm.c \
+	libpcsxcore/new_dynarec/pcsxmem_inline.c
 libpcsxcore/new_dynarec/new_dynarec.o: CFLAGS += -Wno-all -Wno-pointer-sign
 ifdef DRC_DBG
 libpcsxcore/new_dynarec/emu_if.o: CFLAGS += -D_FILE_OFFSET_BITS=64
@@ -80,7 +81,7 @@
 	plugins/dfsound/registers.o plugins/dfsound/spu.o
 plugins/dfsound/spu.o: plugins/dfsound/adsr.c plugins/dfsound/reverb.c \
 	plugins/dfsound/xa.c
-ifeq "$(HAVE_NEON)" "1"
+ifeq "$(ARCH)" "arm"
 OBJS += plugins/dfsound/arm_utils.o
 endif
 ifeq "$(USE_OSS)" "1"
@@ -130,8 +131,8 @@
 OBJS += frontend/plat_pandora.o
 else
 ifeq "$(PLATFORM)" "caanoo"
-OBJS += frontend/plat_pollux.o
-OBJS += frontend/warm/warm.o
+OBJS += frontend/plat_pollux.o frontend/in_tsbutton.o frontend/blit320.o
+OBJS += frontend/gp2x/in_gp2x.o frontend/warm/warm.o
 else
 OBJS += frontend/plat_dummy.o
 endif
