=== debian/changelog ===
pcsxrearmed (0.4.0.11) unstable; urgency=low

 r11 (2011-10-11)
++ added .cbin support
+* some GTE related optimizations
+* various other optimizations
++ added some speed hack options for slower devices
+  (get more speed at stability and correctness loss)
+* fixed several compatibility issues
+* fixed a few crash situations
+* various minor adjustments
+* maemo: merged some code from Bonapart
+* maemo: fixed BIOS issue (hopefully)

 -- Bonapart <bonapart@programist.ru>  Sun,  31 Oct 2011 00:00:27 +0200
