## pcsxrearmed 0.4.0.12

=== plugins/gpu-gles/Makefile ===
--- 
+++ 
@@ -8,15 +8,15 @@
 #CC = $(PREFIX)/bin/$(CROSS_COMPILE)gcc
 CC = $(CROSS_COMPILE)gcc
 
-CFLAGS += -fPIC -ggdb # -Wall
+CFLAGS += -fPIC -ggdb -I. # -Wall
 ifndef DEBUG
 CFLAGS += -O3 -ffast-math -fomit-frame-pointer
 endif
 CFLAGS += -mcpu=cortex-a8 -mtune=cortex-a8
 # note: the below causes strange bugs/crashes
 #CFLAGS += -mfloat-abi=softfp
-CFLAGS += -DMAEMO_CHANGES -DUSE_X11
-CFLAGS += -I.
+CFLAGS += -DMAEMO_CHANGES  -DUSE_X11
+CFLAGS += -I$(PREFIX)include
 
 TARGET = gpuGLES.so
 LDFLAGS += -shared -Wl,-soname,$(TARGET) -o $(TARGET)
