=== debian/changelog ===
pcsxrearmed (0.4.0.12) unstable; urgency=low

 r12 (2011-12-24)
+ new ARM NEON GPU rasterizer from Exophase( by default)
+ new GPU emulation code
* changed frameskip handling (again..), higher values supported
* fixed several more regressions from earlier versions
* changed cdrom code with hope for better compatibility


 -- Bonapart <bonapart@programist.ru>  Sun,  26 Dec 2011 00:00:27 +0200
 
