## pcsxrearmed 0.4.0.12.1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #PCNT = 1
 TARGET = pcsx
 
--include Makefile.local
+include Makefile.maemo
 
 ARCH = $(shell $(GCC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
@@ -95,16 +95,23 @@
 endif
 
 # gpu
+OBJS += plugins/gpu_neon/gpu.o
+ifeq "$(HAVE_NEON)" "1"
+OBJS += plugins/gpu_neon/psx_gpu_if.o plugins/gpu_neon/psx_gpu/psx_gpu_arm_neon.o
+plugins/gpu_neon/psx_gpu_if.o: CFLAGS += -DNEON_BUILD -DTEXTURE_CACHE_4BPP -DTEXTURE_CACHE_8BPP
+plugins/gpu_neon/psx_gpu_if.o: plugins/gpu_neon/psx_gpu/*.c
+else
 # note: code is not safe for strict-aliasing? (Castlevania problems)
-plugins/dfxvideo/%.o: CFLAGS += -fno-strict-aliasing
-OBJS += plugins/dfxvideo/gpu.o
-plugins/dfxvideo/gpu.o: plugins/dfxvideo/fps.c plugins/dfxvideo/prim.c \
-	plugins/dfxvideo/gpu.c plugins/dfxvideo/soft.c
+plugins/gpu_neon/peops_if.o: CFLAGS += -fno-strict-aliasing
+plugins/gpu_neon/peops_if.o: plugins/dfxvideo/prim.c plugins/dfxvideo/soft.c
+OBJS += plugins/gpu_neon/peops_if.o
+endif
 ifdef X11
-LDFLAGS += -lX11 -lXv
-OBJS += plugins/dfxvideo/draw.o
-else
-OBJS += plugins/dfxvideo/draw_fb.o
+LDFLAGS += -lX11 `sdl-config --libs`
+OBJS += plugins/gpu_neon/vout_sdl.o
+plugins/gpu_neon/vout_sdl.o: CFLAGS += `sdl-config --cflags`
+else
+OBJS += plugins/gpu_neon/vout_fb.o
 endif
 
 # cdrcimg
@@ -118,7 +125,7 @@
 OBJS += frontend/plugin_lib.o frontend/common/readpng.o
 OBJS += frontend/common/fonts.o frontend/linux/plat.o
 ifeq "$(USE_GTK)" "1"
-OBJS += maemo/hildon.o maemo/main.o
+OBJS += maemo/hildon.o maemo/main.o maemo/maemo_xkb.o
 maemo/%.o: maemo/%.c
 else
 OBJS += frontend/menu.o frontend/linux/in_evdev.o
@@ -169,17 +176,19 @@
 	@rm $@_
 .PHONY: FORCE
 
+%.o: %.S
+	$(CC) $(CFLAGS) -c $^ -o $@
 
 $(TARGET): $(OBJS)
 	$(CC) -o $@ $^ $(LDFLAGS) -Wl,-Map=$@.map
 
-PLUGINS ?= plugins/spunull/spunull.so plugins/gpu_unai/gpuPCSX4ALL.so \
-	plugins/gpu-gles/gpuGLES.so plugins/gpu_neon/gpu_neon.so
+PLUGINS ?= plugins/spunull/spunull.so plugins/gpu-gles/gpuGLES.so \
+	plugins/gpu_neon/gpu_unai.so plugins/gpu_neon/gpu_peops.so
 
 $(PLUGINS):
 	make -C $(dir $@)
 
-clean:
+clean: $(PLAT_CLEAN)
 	$(RM) $(TARGET) $(OBJS) $(TARGET).map
 
 clean_plugins:
@@ -201,5 +210,6 @@
 	sed -e 's/%PR%/$(VER)/g' out/pcsx.pxml.templ > out/pcsx.pxml
 	rm out/pcsx.pxml.templ
 	mv out/*.so out/plugins/
-	mv out/plugins/gpu_neon.so out/plugins/gpuPEOPS2.so
+	mv out/plugins/gpu_unai.so out/plugins/gpuPCSX4ALL.so
+	mv out/plugins/gpu_peops.so out/plugins/gpuPEOPS.so
 	$(PND_MAKE) -p pcsx_rearmed_$(VER).pnd -d out -x out/pcsx.pxml -i frontend/pandora/pcsx.png -c
