=== debian/changelog ===
pcsxrearmed (0.4.0.12.1) unstable; urgency=low

  * oldgpu
  * gpu_unai
  * gpu-gles
  * fps counter
  * cpu counter
  * no fl option

 -- Bonapart <bonapart@programist.ru>  Sun,  27 Dec 2011 00:00:27 +0200
