=== plugins/gpu_unai/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 SRC += ../../frontend/cspace.c
 endif
 
-SRC += gpu.cpp
+SRC += gpu.cpp gpu_arm.s
 
 TARGET = gpuPCSX4ALL.so
 LDFLAGS += -shared -Wl,-soname,$(TARGET)
