=== debian/changelog ===
pcsxrearmed (0.4.0.12.2) unstable; urgency=low

  * gpu-gles


 -- Bonapart <bonapart@programist.ru>  Sun,  27 Dec 2011 00:02:27 +0200
